Rogan Creswick | 21 Aug 10:55 2013
Picon

PPC binaries for GHC 7.x?

Does anyone have PPC binaries for GHC 7.x?

I've been trying to help a PPC user compile a large haskell application, and it (and it's dependencies) require a newer ghc; the latest ppc binaries we've found are for 6.10, and we have been unable to compile a never ghc from source (6.12 /almost/ worked, but eventually failed with a linker error that appears to be unsolvable in the near-term).

Thanks!
Rogan
_______________________________________________
Haskell-Cafe mailing list
Haskell-Cafe <at> haskell.org
http://www.haskell.org/mailman/listinfo/haskell-cafe
Joey Adams | 21 Aug 11:29 2013
Picon

Re: PPC binaries for GHC 7.x?

On Wed, Aug 21, 2013 at 4:55 AM, Rogan Creswick <creswick <at> gmail.com> wrote:
Does anyone have PPC binaries for GHC 7.x?

I've been trying to help a PPC user compile a large haskell application, and it (and it's dependencies) require a newer ghc; the latest ppc binaries we've found are for 6.10, and we have been unable to compile a never ghc from source (6.12 /almost/ worked, but eventually failed with a linker error that appears to be unsolvable in the near-term).

What operating system?

Debian Wheezy (stable) supports PowerPC, and has a working GHC 7.4.1.  You can also try unstable (sid).  Don't install sid packages on stable (I ran into linker errors with direct-sqlite when I tried that).
_______________________________________________
Haskell-Cafe mailing list
Haskell-Cafe <at> haskell.org
http://www.haskell.org/mailman/listinfo/haskell-cafe
Rogan Creswick | 21 Aug 11:50 2013
Picon

Re: PPC binaries for GHC 7.x?

On Wed, Aug 21, 2013 at 2:29 AM, Joey Adams <joeyadams3.14159 <at> gmail.com> wrote:

What operating system?

Oh, I should have specified -- OS X (I'm not certain which version of OS X; probably not particularly new)

--Rogan
_______________________________________________
Haskell-Cafe mailing list
Haskell-Cafe <at> haskell.org
http://www.haskell.org/mailman/listinfo/haskell-cafe

Gmane